import { CollectionConfig } from 'payload/types';
import { geoPickerField } from "../customFields/geoPicker/field";

const Makers: CollectionConfig = {
  slug: 'makers',
  admin: {
    useAsTitle: 'name',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
        name: 'name',
        type: 'text',
        required: true,
      },
      {
        name: 'location',
        type: 'point',
        label: 'Location',
      },
      {
        name: 'products',
        type: 'relationship',
        relationTo: 'products',
        hasMany: true,
      }
  ],
};

export default Makers;