import { CollectionConfig } from 'payload/types';

const Retailers: CollectionConfig = {
  slug: 'retailers',
  admin: {
    useAsTitle: 'name',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
      name: 'name',
      type: 'text',
      required: true,
    },
    {
      name: 'location',
      type: 'point',
      label: 'Location',
    },
    {
      name: 'requestedProducts',
      type: 'relationship',
      relationTo: 'products',
      hasMany: true,
    },
  ],
};

export default Retailers;